<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ความพร้อมด้านการให้บริการลูกค้าอย่างเป็นธรรม (Market Conduct)
        </a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับความพร้อมด้านการให้บริการลูกค้าอย่างเป็นธรรมตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null) ">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br />
<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-six [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-six>
        <!-- ----------------------------------------- อัปโหลดเอกสาร --------------------------------------------- -->
        <div *ngIf="validate === true">
          <div class="row">
            <div class="col-12 head-detal">
              <label style="font-size: 18px;">อัปโหลดเอกสาร</label>
            </div>
            <div class="col-12">
              <div class="dropzone">
                <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                  (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />

                <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                <a for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
              </div>
            </div>

            <br />
            <div class="col-12">
              <div class="table-responsives">
                <table mat-table [dataSource]="dataSource_file">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      <div>{{ element.fileName }}</div>
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="delete">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                        (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                        (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                      <a class="pipe">|</a>
                      <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
                </table>
                <br /><br />
              </div>
            </div>
          </div>
        </div>
        <!-- ==================================================================================================== -->
      </div>
    </div>
  </div>
  <!-- ========================================================================================================== -->
  <div *ngFor="let present of listSummaryStep7; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <!-- ----------------------------------------- ของใหม่ -------------------------------------------------- -->
          <div class="row">
            <div class="col-12">
              <div class="table-responsive">
                <table class="table-proccess table table-striped table-overflow">
                  <thead>
                    <tr>
                      <th width="19%" rowspan="2">เรื่อง</th>
                      <th width="36%" colspan="3" style="text-align: center;">
                        ประเภทการจัดทำ
                      </th>
                      <!-- <th width="10%">จัดทำใหม่</th> -->
                      <!-- <th width="10%">ใช้เอกสารชุดเดิม</th> -->
                      <th width="25%" rowspan="2">อธิบายเหตุผลประกอบ</th>
                      <th width="20%" rowspan="2">วันที่คาดว่าจะแล้วเสร็จ</th>
                    </tr>
                    <tr>
                      <!-- <th width="25%">เรื่อง</th> -->
                      <th width="12%" style="text-align: center;">
                        ไม่ต้องจัดทำ
                      </th>
                      <th width="9%" style="text-align: center;">จัดทำใหม่</th>
                      <th width="15%" style="text-align: center;">
                        ใช้เอกสารชุดเดิม
                      </th>
                      <!-- <th width="20%">อธิบายเหตุผลประกอบ </th> -->
                      <!-- <th width="25%">วันที่คาดว่าจะแล้วเสร็จ </th> -->
                    </tr>
                  </thead>
                  <tbody>
                    <tr *ngFor="let item of step_six; index as i">
                      <td style="width: 19%;">{{ item.title }}</td>
                      <td style="width: 12%;">
                        <input type="checkbox" class="form-control" (change)="checkbox('ไม่ต้องจัดทำ', i)"
                          [(ngModel)]="item.dont_create" (keyup)="changeSaveDraft()" style="height: 16px;" disabled />
                      </td>
                      <td style="width: 9%;" style="text-align: center;">
                        <input type="checkbox" class="form-control" (change)="checkbox('จัดทำใหม่', i)"
                          [(ngModel)]="item.new_doc" (keyup)="changeSaveDraft()" style="height: 16px;" disabled />
                      </td>
                      <td style="width: 15%;" style="text-align: center;">
                        <input type="checkbox" class="form-control" (change)="checkbox('ใช้เอกสารชุดเดิม', i)"
                          [(ngModel)]="item.old_doc" (keyup)="changeSaveDraft()" style="height: 16px;" disabled />
                      </td>
                      <td style="width: 25%;text-align:center">
                        <!-- <input
                        type="text"
                        class="form-control input-reason"
                        placeholder="ระบุเหตุผลประกอบ"
                        [(ngModel)]="item.reason"
                        (ngModelChange)="connectExplain(i); changeSaveDraft()"
                        disabled
                      /> -->
                        {{item.reason}}
                      </td>
                      <td style="width: 20%;text-align:center">
                        <div class="input-warpper">
                          <!-- <div class="icon-warpper1">
                          <img
                            src="../../../../assets/img/calendar.svg"
                            class="btn-date"
                            (click)="dp.toggleCalendar()"
                          />
                        </div>
                        <input
                          angular-mydatepicker
                          type="text"
                          name="myDpOptions"
                          [(ngModel)]="item.dueDate"
                          class="form-control"
                          placeholder="กรุณาเลือกวันที่"
                          [options]="myDpOptions"
                          (ngModelChange)="changeSaveDraft()"
                          #dp="angular-mydatepicker"
                          (click)="dp.toggleCalendar()"
                          (dateChanged)="onDateChanged($event, i)"
                        /> -->
                          {{dateRead[i]}}
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>

            <div class="col-12">
              <div class="head-detal">ช่องทางการร้องเรียน</div>
              <textarea class="form-control input-detail" rows="4" cols="50" placeholder="ระบุช่องทางการร้องเรียน"
                [(ngModel)]="description" (keyup)="changeSaveDraft()" disabled></textarea>
            </div>
          </div>
          <br>
          <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
          <div>
            <label style="
            color: #999999;
            font-family: Prompt;
            font-size: 18px;
            font-weight: 500;
            letter-spacing: 0;
            line-height: 28px;
          ">ไฟล์เอกสารเพิ่มเติม</label>
            <br />
            <div class="row">
              <div class="col-12 table_files">
                <table mat-table [dataSource]="dataSource_file_summary">
                  <!-- Position Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ element.fileName }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="size">
                    <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                    <td mat-cell *matCellDef="let element">
                      {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                    </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="download">
                    <th mat-header-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let index = index">
                      <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                </table>
              </div>
            </div>
          </div>
          <!-- ============================================================================================= -->
        </div>
      </div>
    </div>
  </div>
</div>

<!-- ----------------------------------------- next button -------------------------------------------------- -->
<div *ngIf="(validate === true || validate === null) ">
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">
        ถัดไป
      </button>
    </div>
  </div>
  <br /><br /><br />
</div>
<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>